Archive conversation
curl --request POST \
--url https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/user/conversations/{conversationId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/user/conversations/{conversationId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://handauncle-backend-prod-205012263523.asia-south1.run.app/api/v1/user/conversations/{conversationId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"messageCount": 123,
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"prepromptKey": "<string>",
"preview": "<string>",
"pinned": true,
"tags": [
"<string>"
],
"metadata": {
"firstMessage": "<string>",
"tags": [
"<string>"
],
"pinned": true,
"model": "<string>"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)",
"code": "VALIDATION_ERROR",
"details": [
{
"field": "phone",
"message": "Please enter a valid 10-digit phone number (e.g., 9876543210)"
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Conversations
Archive Conversation
Move a conversation to archived status. Supports both Auth0 JWT and device-based authentication.
POST
/
api
/
v1
/
user
/
conversations
/
{conversationId}
/
archive
Archive conversation
Moves a conversation into the archived state without deleting messages. Use
this when mirroring the “Archive” swipe/long-press action in the client. The
response returns the updated conversation object (now
status: "archived").Authorizations
bearerAuthdeviceAuth
Auth0 access token for registered users.
Path Parameters
Conversation ID (24 character MongoDB ObjectId).
Required string length:
24⌘I